Skip to main content
GET
/
destinations
/
{id}
Get destination
curl --request GET \
  --url https://api.prequel.co/import/destinations/{id} \
  --header 'X-API-KEY: <api-key>'
{
  "destination": {
    "name": "User Ingest Endpoint",
    "type": "webhook_record",
    "record_schema": {
      "$schema": "http://json-schema.org/draft-07/schema#",
      "type": "object",
      "additionalProperties": false,
      "required": [
        "email",
        "name",
        "timezone"
      ],
      "properties": {
        "email": {
          "type": "string",
          "format": "email"
        },
        "name": {
          "type": "string"
        },
        "timezone": {
          "type": "string"
        },
        "preferences": {
          "type": "object",
          "properties": {
            "default": {
              "type": "object",
              "required": [
                "channel_types",
                "workflows"
              ],
              "properties": {
                "channel_types": {
                  "type": "object",
                  "required": [
                    "email"
                  ],
                  "properties": {
                    "email": {
                      "type": "boolean"
                    }
                  }
                }
              }
            }
          },
          "required": [
            "default"
          ]
        }
      }
    },
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "webhook_record": {
      "request_template": {
        "method": "POST",
        "uri": "https://api.example.com/v1/users/{{.Record.email}}",
        "headers": {
          "application-timezone": "{{.Record.timezone}}"
        },
        "body": "<string>"
      },
      "max_concurrency": 1
    },
    "webhook_batch": {
      "request_template": {
        "method": "POST",
        "uri": "https://api.example.com/v1/users/batch",
        "headers": {
          "application-timezone": "{{.Records[0].timezone}}"
        },
        "body": "<string>"
      },
      "format": "json",
      "max_concurrency": 1,
      "max_size_per_batch": 24000
    },
    "max_records_per_minute": 3000
  }
}

Authorizations

X-API-KEY
string
header
required

Path Parameters

id
string
required

Response

Success

A destination.

destination
object
required

A destination.